jackrabbit-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Luís Tiago Rico <tiagor...@gmail.com>
Subject OCMProxy problem
Date Thu, 07 May 2009 11:46:07 GMT
Hi to all

 

I’m using Jackrabbit 1.5.5 with deployment model 2 on Jboss.

I’m using OCM and I’m having this proxy problem!

 

I have the 2 ocm jars on my app plus commons-beanutils depency and cglib is
on jboss lib!

 

I have the following error when redeploying my app on the server! This only
happens on redeployment! First time all goes right! Think is a classloader
problem or something is missing me!

 

12:22:10,578 ERROR [DefaultExceptionHandler] proxy should implement OcmProxy

java.lang.IllegalArgumentException: proxy should implement OcmProxy

        at
org.apache.jackrabbit.ocm.manager.objectconverter.impl.AbstractLazyLoader.in
voke(AbstractLazyLoader.java:91)

        at $java.util.List$$EnhancerByCGLIB$$819dd90b.iterator(<generated>)

 

My Pojo

 

@Node(extend = HierarchyNode.class)

public class PEI extends HierarchyNode {

 

    @Field

    private String peiName;

 

    @Collection(proxy = true)

    private List<Folder> online;

}

 

Any help? 

Thanks in advance!


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message